## vkmark 2017.08+git20220909

=== debian/changelog ===
vkmark (2017.08+git20220909-2) unstable; urgency=medium

  * Team upload.
  * Ignore test result for i386 (Closes: #1091583)
  * Switch build-deps from pkg-config to pkgconf
  * Standards-Version: 4.7.0 (no changes required)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 07 Jan 2025 11:47:40 +0100

vkmark (2017.08+git20220909-1) unstable; urgency=medium

  * Initial Debian packaging
    (Closes: #1038640)

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 19 Jun 2023 15:00:58 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

# Ignore test result for i386
# https://github.com/vkmark/vkmark/issues/59
override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), i386))
	dh_auto_test || true
else
	dh_auto_test
endif

## vkmark 2025.01

=== meson_options.txt ===
option('xcb', type : 'combo', choices : ['auto', 'true', 'false'], value : 'auto')
option('wayland', type : 'combo', choices : ['auto', 'true', 'false'], value : 'auto')
option('kms', type : 'combo', choices : ['auto', 'true', 'false'], value : 'auto')

=== debian/changelog ===
vkmark (2025.01-1build1) resolute; urgency=medium

  * Rebuild against latest assimp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Oct 2025 09:45:34 -0400

vkmark (2025.01-1) unstable; urgency=medium

  * New upstream version
  * d/copyright: adjust copyright years for new release
  * d/rules: re-enable tests on i386.
    This problem has been fixed upstream and is part of the latest release.

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 28 Jan 2025 14:51:38 +0100

=== debian/control ===
Source: vkmark
Section: graphics
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               libassimp-dev,
               libdrm-dev,
               libgbm-dev,
               libglm-dev,
               libvulkan-dev,
               libwayland-dev,
               libxcb1-dev,
               libxcb-icccm4-dev,
               meson,
               pkgconf,
               wayland-protocols,
Homepage: https://github.com/vkmark/vkmark
Vcs-Git: https://salsa.debian.org/xorg-team/vulkan/vkmark.git
Vcs-Browser: https://salsa.debian.org/xorg-team/vulkan/vkmark
Rules-Requires-Root: no

Package: vkmark
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Vulkan benchmarking tool
 vkmark is an extensible Vulkan benchmarking suite with targeted, configurable
 scenes.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)??(\d[\d.]*)\.tar\.gz%vkmark-$1.tar.gz%" \
   https://github.com/vkmark/vkmark/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
